aboutsummaryrefslogtreecommitdiffstats
path: root/download.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-30 10:26:15 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-30 10:26:15 -0500
commit41923fdbc608b40fad3ba1822d2e4b262615ea04 (patch)
tree8b8b01e2aae74c8ad0d30128cf191f8454470b48 /download.sh
parent0acc64ba99e0a3d295342e647e096d404bd8f619 (diff)
Always check md5sum even if file exists. File my be partial. Print message that file is cached and then check md5sum. If md5sum fails, remove file. Next time script is ran, it will download and check again.
Diffstat (limited to 'download.sh')
-rw-r--r--download.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/download.sh b/download.sh
index 5f5c608..d210b1e 100644
--- a/download.sh
+++ b/download.sh
@@ -14,13 +14,16 @@ cat packages.csv patches.csv | while read -r line; do
printf "%b" "${PRP}Downloading ${YLW}${CACHEFILE}${RST}... "
download "${URL}"
- if ! echo "${MD5SUM} ${LFS}/sources/${CACHEFILE}" | md5sum -c > /dev/null 2>&1; then
- rm -f "${LFS}/sources/${CACHEFILE}"
- printf "%b" "\n${IPRP} MD5SUM ${YLW}${MD5SUM} ${RED}FAILED! MD5 MISMATCH!${RST}\n"
- exit 1
- fi
+ else
+ printf "%b" "${PRP}File cached ${YLW}${CACHEFILE}${RST}... "
+ fi
+
+ if ! echo "${MD5SUM} ${LFS}/sources/${CACHEFILE}" | md5sum -c > /dev/null 2>&1; then
+ rm -f "${LFS}/sources/${CACHEFILE}"
+ printf "%b" "\n${IPRP} MD5SUM ${YLW}${MD5SUM} ${RED}FAILED! MD5 MISMATCH!${RST}\n"
+ exit 1
+ fi
printf "%b" "\n${IPRP} MD5SUM ${YLW}${MD5SUM}${GRN} OK\n${RST}"
- fi
done